package com.repair.services;

import com.baomidou.mybatisplus.extension.service.IService;
import com.repair.model.pojo.RepairArticleType;
import com.repair.model.result.PageUtils;
import com.repair.model.vo.RepairArticleChildVo;
import com.repair.model.vo.RepairWorkTypeVo;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author ceshi
 * @since 2023-07-18
 */
public interface RepairArticleTypeService extends IService<RepairArticleType> {
    int insertRepairArticleType(RepairArticleType rns);

    int updateRepairArticleType(RepairArticleType rns);

    PageUtils<RepairArticleType> queryPageRepairArticleTypes(int currentPage, int pageCount, String name);

    int deleteRepairArticleTypeById(int id);

    RepairArticleType getRepairById(int id);

    List<RepairArticleType> getRepairArticleTypes();

    List<RepairArticleChildVo> getRepairParentArticleTypes(int schoolId);

    RepairArticleType getRepairArticleTypeByName(String name, Integer schoolId);

    List<RepairArticleType> getRepairArticleTypesBySchoolId(int schoolId);

    List<RepairArticleType> getRepairArticlesBySchoolId(int schoolId);

    List<RepairWorkTypeVo> getRepairArticleTypes(int schoolId);

    List<RepairArticleType> getRepairs(List<String> ids);

    boolean updateBatchArticle(List<RepairArticleType> datas);
}
